package com.persagy.apm.common.constant;
/***
 * Description: 通用常量类
 * @author : lijie
 * @date :2021/4/27 17:13
 * Update By lijie 2021/4/27 17:13
 */
public class CommonConstant {
    /**uploadFlag,响应头的key:1-成功,0-失败*/
    public static final String UPLOAD_FLAG = "uploadFlag";
    /**Excel文件的文件后缀*/
    public static final String EXCEL_SUFFIX = "xlsx";
    /**user_id:用户id*/
    public static final String USER_ID="user_id";
    /**dict_type:字典类型*/
    public static final String DICT_TYPE="dict_type";
    /**systemId:老项目中预留的系统id*/
    public static final String SYSTEM_ID="systemId";
    /**响应头:Access-Control-Expose-Headers*/
    public static final String REPONSE_HEAD_ACCESS_CONTROL_EXPOSE_HEADERS = "Access-Control-Expose-Headers";
    /**响应头:Content-disposition*/
    public static final String REPONSE_HEAD_CONTENT_DISPOSITION = "Content-disposition";
    /**响应头:Content-Type*/
    public static final String REPONSE_HEAD_CONTENT_TYPE = "Content-Type";
    /**响应头:application/vnd.openxmlformats-officedocument.spreadsheetml.sheet*/
    public static final String REPONSE_HEAD_CONTENT_TYPE_SHEET = "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet";
    /**响应头:attachment;filename=*/
    public static final String REPONSE_HEAD_CONTENT_DISPOSITION_ATTACHMENT = "attachment;filename=";
    /**系统类型-windows*/
    public static final String SYSTEM_TYPE_WINDOWS = "windows";
    /**系统类型-linux/unix*/
    public static final String SYSTEM_TYPE_LINUX = "linux/unix";
    /**系统类型-mac*/
    public static final String SYSTEM_TYPE_MAC = "mac";
    /**自定义请求头-os-type*/
    public static final String OS_TYPE = "os-type";
    //数据字典类型-专业、系统大类、设备大类
    public final static String dict_type_object_domain = "domain_require";
    //数据字典类型-信息点
    public final static String dict_type_info_point = "info_point";

    //字段名称-数据平台
    public final static String info_name_datas = "infos";
    //字段名称-本地名称-项目
    public final static String info_name_local_name_project = "ProjLocalName";
    //字段名称-本地名称-项目
    public final static String info_name_local_id_project = "ProjLocalID";
    //字段名称-本地名称-建筑
    public final static String info_name_local_name_build = "BuildLocalName";
    //字段名称-本地编码-建筑
    public final static String info_name_local_id_build = "BuildLocalID";
    //字段名称-本地名称-楼层
    public final static String info_name_local_name_floor = "FloorLocalName";
    //字段名称-本地编码-楼层
    public final static String info_name_local_id_floor = "FloorLocalID";
    //字段名称-本地编码-竖井
    public final static String info_name_local_id_shaft = "ShaftLocalID";
    //字段名称-本地编码-竖井
    public final static String info_name_local_name_shaft = "ShaftLocalName";
    //字段名称-本地名称-空间
    public final static String info_name_local_name_space = "RoomLocalName";
    //字段名称-本地编码-空间
    public final static String info_name_local_id_space = "RoomLocalID";
    //字段名称-本地名称-系统
    public final static String info_name_local_name_system = "SysLocalName";
    //字段名称-本地编码-系统
    public final static String info_name_local_id_system = "SysLocalID";
    //字段名称-本地名称-设备
    public final static String info_name_local_name_equip = "EquipLocalName";
    //字段名称-本地编码-设备
    public final static String info_name_local_id_equip = "EquipLocalID";
    //字段名称-信息点-code
    public final static String info_name_info_point_code = "infoPointCode";
    //字段名称-信息点-name
    public final static String info_name_info_point_name = "infoPointName";
    //字段名称-信息点-输入方式(原始组件)
    public final static String info_name_info_point_baseCmpt = "inputMode";

    //关系-关联code
    public final static String relation_from_id = "from_id";
    //关系-被关联code
    public final static String relation_to_id = "to_id";

    //图类型-设备所在空间
    public final static String graph_type_equip_in_space = "EquipinSpace";
    //图类型-设备服务空间
    public final static String graph_type_equip_service_space = "EquipforSpace";
    //图类型-系统包含设备
    public final static String graph_type_system_contain_equip = "SystemEquip";
    //竖井关联的建筑
    public final static String graph_type_shaft_and_building = "ShaftandBuilding";

    //关系类型-设备所在空间
    public final static String relation_type_equip_in_space = "1";
    //关系类型-设备服务空间
    public final static String relation_type_equip_service_space = "1";
    //关系类型-系统包含设备
    public final static String relation_type_system_contain_equip = "1";

    //数据类型-建筑
    public final static String data_type_build = "build";
    //数据类型-楼层
    public final static String data_type_floor = "floor";
    //数据类型-空间
    public final static String data_type_space = "space";
    //数据类型-系统
    public final static String data_type_system = "system";
    //数据类型-设备
    public final static String data_type_equip = "equip";
    //数据类型-系统大类
    public final static String data_type_system_class = "system_class";
    //数据类型-设备大类
    public final static String data_type_equip_class = "equip_class";
    //数据类型-空间大类
    public final static String data_type_space_class = "space_class";
    //数据类型-建筑功能类型
    public final static String data_type_build_func_type = "build_func_type";
    //数据类型-楼层类型
    public final static String data_type_floor_type = "floor_type";
    //数据类型-竖井功能类型
    public final static String data_type_shaft_type = "shaft_type";
    //数据类型-竖井
    public final static String data_type_shaft = "shaft";
    //标识-项目
    public final static String tag_project = "Pj";
    //标识-建筑
    public final static String tag_build = "Bd";
    //标识-楼层
    public final static String tag_floor = "Fl";
    //标识-空间
    public final static String tag_space = "Sp";
    //标识-设备
    public final static String tag_equip = "Eq";
    //标识-系统
    public final static String tag_system = "Sy";
    //标识-设备对象
    public final static String tag_equip_object = "EqObj";
    //标识-系统对象
    public final static String tag_system_object = "SyObj";
    //标识-设备字典-专业
    public final static String tag_dict_class = "Clazz";
    //标识-设备字典-系统
    public final static String tag_dict_sytstem = "System";
    //标识-设备字典-设备
    public final static String tag_dict_equip = "Equip";
    //时间格式-显示
    public final static String date_format_show = "yyyy-MM-dd HH:mm:ss";
    //时间格式-存储
    public final static String date_format_save = "yyyyMMddHHmmss";


}
