package com.persagy.apm.translate.service;

import java.util.List;
import java.util.Map;

/**
 * 翻译接口
 * @author Charlie Yu
 * @Date 2021-03-03
 */
public interface ITranslateBatchHandle extends ITranslateHandle{

	/**
	 * 翻译Map数据
	 * @param parameter 需要翻译的对象
	 * @return 结果数据
	 */
	Map<String,Object> batchTrans(List<String> parameter);
}
