package com.persagy.apm.translate.service;

import java.util.List;
import java.util.Map;

/**
 * 翻译服务接口
 * @author Charlie Yu
 * @Date 2021-03-03
 */
public interface ITranslator {

	/**
	 * 基于服务的翻译接口
	 * 
	 * @param parameter 请求参数
	 * @return 翻译结果
	 */
	String trans(String parameter);

	/**
	 * 基于服务的批量翻译接口
	 * 
	 * @param parameter 请求参数
	 * @return 翻译结果
	 */
	Map<String, Object> transBatch(List<String> parameter);

}
