package com.persagy.apm.common.constant.enums;
/***
 * Description: 字典类型枚举类
 * @author : lijie
 * @date :2021/4/2 18:19
 * Update By lijie 2021/4/2 18:19
 */
public enum DictTypeEnum {
    /**工单控制模块*/
    WO_CONTROL_MODULE("wo_control_module","工单控制模块"),
    /**工单申请事项*/
    WO_APPLAY_ITEM("wo_applay_item","工单申请事项"),
    /**工单审批事项*/
    WO_AUDIT_ITEM("wo_audit_item","工单审批事项"),
    /**工单审核事项*/
    WO_APPROVAL_ITEM("wo_approval_item","工单审核事项"),
    /**工单时间类型*/
    WO_EXECUTE_TYPE("wo_execute_type","工单时间类型"),
    /**专业类型*/
    DOMAIN_REQUIRE("domain_require","专业类型"),
    /**工作类型:1-维保,2-维修,3-巡检,4-运行,5-安全*/
    WORK_TYPE("work_type","工作类型:1-维保,2-维修,3-巡检,4-运行,5-安全"),
    /**工单状态类型*/
    WORK_ORDER_STATE("work_order_state","工单状态类型");

    DictTypeEnum(String type, String describe) {
        this.type = type;
        this.describe = describe;
    }

    private String type;
    private String describe;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDescribe() {
        return describe;
    }

    public void setDescribe(String describe) {
        this.describe = describe;
    }
}
