package com.persagy.apm.common.constant.enums;
/***
 * Description: 物理世界对象的tag
 * @author : lijie
 * @date :2021/4/2 9:54
 * Update By lijie 2021/4/2 9:54
 */
public enum ObjTagEnum {
    /**项目*/
    PROJECT("Pj","项目"),
    /**建筑*/
    BUILD("Bd","建筑"),
    /**楼层*/
    FLOOR("Fl","楼层"),
    /**空间*/
    SPACE("Sp","空间"),
    /**系统*/
    SYSTEM("Sy","系统"),
    /**竖井*/
    SHAFT("shaft","竖井"),
    /**设备*/
    EQUIP("Eq","设备"),
    /**设备对象*/
    EQUIP_OBJECT("EqObj","设备对象"),
    /**设备对象*/
    SYSTEM_OBJECT("SyObj","系统对象"),
    /**设备类*/
    EQUIP_CLASS("equip_class","设备类"),
    /**设备字典-专业*/
    DICT_CLASS("Clazz","设备字典-专业"),
    /**设备字典-系统*/
    DICT_SYSTEM("System","设备字典-系统"),
    /**设备字典-设备*/
    DICT_EQUIP("Equip","设备字典-设备");

    ObjTagEnum(String type, String describe) {
        this.type = type;
        this.describe = describe;
    }

    private String type;
    private String describe;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDescribe() {
        return describe;
    }

    public void setDescribe(String describe) {
        this.describe = describe;
    }
}
