package com.persagy.apm.common.response;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @description: 服务接口调用返回值
 * @author: lixing
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/9/21 11:01
 * @version: V1.0
 */
@Data
@NoArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class FeignResponseMsg {
    /**
     * 响应码
     */
    private String respCode;

    /**
     * 错误信息
     */
    private String respMsg;

    public FeignResponseMsg(String respCode, String respMsg) {
        this.respCode = respCode;
        this.respMsg = respMsg;
    }
}
